Module javafx.base
Package javafx.beans.property

## Class ReadOnlyFloatProperty

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.FloatExpression
    - - javafx.beans.property.ReadOnlyFloatProperty

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `ReadOnlyProperty<Number>`, `ObservableFloatValue`, `ObservableNumberValue`, `ObservableValue<Number>`
  Direct Known Subclasses:
    `FloatProperty`, `ReadOnlyFloatPropertyBase`

      public abstract class ReadOnlyFloatProperty
      extends FloatExpression
      implements ReadOnlyProperty<Number>

  Superclass for all readonly properties wrapping a `float`.
  Since:
    JavaFX 2.0
  See Also:
    `ObservableFloatValue`, `FloatExpression`, `ReadOnlyProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlyFloatProperty()` | The constructor of `ReadOnlyFloatProperty`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReadOnlyObjectProperty<Float>` | `asObject()` | Creates a `ReadOnlyObjectProperty` that holds the value of this `ReadOnlyFloatProperty`.
    `static <T extends Number> ReadOnlyFloatProperty` | `readOnlyFloatProperty​(ReadOnlyProperty<T> property)` | Returns a `ReadOnlyFloatProperty` that wraps a `ReadOnlyProperty`.
    `String` | `toString()` | Returns a string representation of this `ReadOnlyFloatProperty` object.

    - ### Methods inherited from class javafx.beans.binding.FloatExpression

      `add, add, add, add, divide, divide, divide, divide, doubleValue, floatExpression, floatExpression, floatValue, getValue, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

    - ### Methods inherited from class javafx.beans.binding.NumberExpressionBase

      `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.ObservableFloatValue

      `get`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

- - ### Constructor Detail

    - #### ReadOnlyFloatProperty

          public ReadOnlyFloatProperty()

      The constructor of `ReadOnlyFloatProperty`.

  - ### Method Detail

    - #### toString

          public String toString()

      Returns a string representation of this `ReadOnlyFloatProperty` object.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `ReadOnlyFloatProperty` object.

    - #### readOnlyFloatProperty

          public static <T extends Number> ReadOnlyFloatProperty readOnlyFloatProperty​(ReadOnlyProperty<T> property)

      Returns a `ReadOnlyFloatProperty` that wraps a `ReadOnlyProperty`. If the `ReadOnlyProperty` is already a `ReadOnlyFloatProperty`, it will be returned. Otherwise a new `ReadOnlyFloatProperty` is created that is bound to the `ReadOnlyProperty`. Note: null values will be interpreted as 0f
      Type Parameters:
        `T` - The type of Number to be wrapped
      Parameters:
        `property` - The source `ReadOnlyProperty`
      Returns:
        A `ReadOnlyFloatProperty` that wraps the `ReadOnlyProperty` if necessary
      Throws:
        `NullPointerException` - if `property` is `null`
      Since:
        JavaFX 8.0

    - #### asObject

          public ReadOnlyObjectProperty<Float> asObject()

      Creates a `ReadOnlyObjectProperty` that holds the value of this `ReadOnlyFloatProperty`. If the value of this `ReadOnlyFloatProperty` changes, the value of the `ReadOnlyObjectProperty` will be updated automatically.
      Overrides:
        `asObject` in class `FloatExpression`
      Returns:
        the new `ReadOnlyObjectProperty`
      Since:
        JavaFX 8.0